# Uses of Class
org.apache.lucene.codecs.uniformsplit.BlockWriter

Packages that use BlockWriter
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.
org.apache.lucene.codecs.uniformsplit.sharedterms
Pluggable term index / block terms dictionary implementations.

- ## Uses of BlockWriter in org.apache.lucene.codecs.uniformsplit

  Methods in org.apache.lucene.codecs.uniformsplit with parameters of type BlockWriter
  Modifier and Type
  Method
  Description
  `protected int`
  UniformSplitTermsWriter.`writeFieldTerms(BlockWriter blockWriter, DataOutput fieldsOutput, TermsEnum termsEnum, FieldInfo fieldInfo, NormsProducer normsProducer)`

- ## Uses of BlockWriter in org.apache.lucene.codecs.uniformsplit.sharedterms

  Subclasses of BlockWriter in org.apache.lucene.codecs.uniformsplit.sharedterms
  Modifier and Type
  Class
  Description
  `class`
  `STBlockWriter`
  Writes terms blocks with the Shared Terms format.